# class Chef::ReservedNames::Win32::API::File::REPARSE_DATA_BUFFER_MOUNT_POINT

### Public Instance Methods

print_name() click to toggle source

    # File lib/chef/win32/api/file.rb, line 320
    def print_name
      string_pointer = FFI::Pointer.new(pointer.address) + offset_of(:PathBuffer) + self[:PrintNameOffset]
      string_pointer.read_wstring(self[:PrintNameLength]/2)
    end

substitute_name() click to toggle source

    # File lib/chef/win32/api/file.rb, line 316
    def substitute_name
      string_pointer = FFI::Pointer.new(pointer.address) + offset_of(:PathBuffer) + self[:SubstituteNameOffset]
      string_pointer.read_wstring(self[:SubstituteNameLength]/2)
    end